Skip to main content
POST
/
vacancy-portal
/
jobs
/
{jobBoardPostingId}
Submit job posting application
curl --request POST \
  --url https://api.gospott.com/vacancy-portal/jobs/{jobBoardPostingId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "cvAttachmentId": "<string>",
  "coverLetterAttachmentId": "<string>",
  "email": "jsmith@example.com",
  "phoneNumber": "<string>",
  "linkedinUrl": "<string>",
  "location": {
    "street1": "<string>",
    "street2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "region": "<string>",
    "state": "<string>",
    "country": "<string>",
    "rawCityCountry": "<string>",
    "latitude": 123,
    "longitude": 123,
    "formattedAddress": "<string>",
    "id": "<string>"
  }
}
'
{
  "status": 0,
  "message": "<string>",
  "requestId": "<string>",
  "errors": [
    {
      "code": "REQUIRED",
      "path": "<string>",
      "message": "<string>",
      "received": "<unknown>"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

jobBoardPostingId
string
required

Query Parameters

broadbeanId
string | null

The channel from which Broadbean redirected.

Body

application/json
firstName
string
required
Required string length: 1 - 100
Pattern: ^[a-zA-ZÀ-ÿ\s\-']+$
lastName
string
required
Required string length: 1 - 100
Pattern: ^[a-zA-ZÀ-ÿ\s\-']+$
cvAttachmentId
string
required
Required string length: 1 - 100
coverLetterAttachmentId
string | null
required
Required string length: 1 - 100
email
string<email>
required
Required string length: 3 - 254
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
phoneNumber
string
required
linkedinUrl
string | null
required
Maximum string length: 2048
location
object
required

Response

Application submitted successfully.